Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.drools.conf
Enum MultithreadEvaluationOption

    java.lang.Object
      java.lang.Enum<MultithreadEvaluationOption>
          org.drools.conf.MultithreadEvaluationOption

All Implemented Interfaces:
  Serializable, Comparable<MultithreadEvaluationOption>, KnowledgeBaseOption, Option, SingleValueKnowledgeBaseOption

Deprecated.

    public enum MultithreadEvaluationOption

extends Enum<MultithreadEvaluationOption>
implements SingleValueKnowledgeBaseOption

An Enum for multithread evaluation option. IMPORTANT: this option is currently not supported. It might be enabled again in the future. drools.multithreadEvaluation = <true|false> DEFAULT = false

Enum Constant Summary
`NO` Deprecated.
`YES` Deprecated.

Field Summary
`static String` | `PROPERTY_NAME` Deprecated. The property name for the multithread evaluation option

Method Summary
`String` | `getPropertyName()` Deprecated. Returns the property name for this option
`boolean` | `isMultithreadEvaluation()` Deprecated.
`static MultithreadEvaluationOption` | `valueOf(String name)` Deprecated. Returns the enum constant of this type with the specified name.
`static MultithreadEvaluationOption[]` | `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### YES

    public static final MultithreadEvaluationOption YES

  Deprecated.

### NO

    public static final MultithreadEvaluationOption NO

  Deprecated.

Field Detail

### PROPERTY_NAME

    public static final String PROPERTY_NAME

  Deprecated.
  The property name for the multithread evaluation option

  See Also:
    Constant Field Values

Method Detail

### values

    public static MultithreadEvaluationOption[] values()

  Deprecated.
  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MultithreadEvaluationOption c : MultithreadEvaluationOption.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MultithreadEvaluationOption valueOf(String name)

  Deprecated.
  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getPropertyName

    public String getPropertyName()

  Deprecated.
  Returns the property name for this option

  Specified by:
    `getPropertyName` in interface `Option`
  Returns:

### isMultithreadEvaluation

    public boolean isMultithreadEvaluation()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.